
module.exports = {


    friendlyName: 'Delete',


    description: 'Delete admin.',


    inputs: {
        /* id:{
           type:'number',
           required: true
         },*/
         anneeScolaire: {
            type: 'string',
            required: true
        },
    },


    exits: {
        notFound: {
            description: "Not found"
        }
    },


    fn: async function (inputs, exits) {

        console.log('ÍNPUTS', inputs.anneeScolaire)
        let annee = await AnneeScolaire.find({ anneeScolaire: inputs.anneeScolaire }).then(_.first)
        console.log('annee', annee)

        if (!annee) {
            return exits.notFound({ message: "Annee Scolaire non retrouvée!" })
        }
        let anneeAttributionClasse = await AttributionClasse.find({ anneeScolaire: inputs.anneeScolaire }).then(_.first)
        if (anneeAttributionClasse) {
            return exits.notFound({ message: "Suppression impossible  car cette Année Scolaire est attribuée a une classe!" })
        }
        let anneeAttributionMatiere = await AttributionMatiere.find({ anneeScolaire: inputs.anneeScolaire }).then(_.first)
        if (anneeAttributionMatiere) {
            return exits.notFound({ message: "Suppression impossible  car cette Année Scolaire est attribuée a une matiere!" })
        }
        let anneeAttributionNoteMoyenne = await AttributionNoteMoyenne.find({ anneeScolaire: inputs.anneeScolaire }).then(_.first)
        if (anneeAttributionNoteMoyenne) {
            return exits.notFound({ message: "Suppression impossible  car cette Année Scolaire est attribuée a une note!" })
        }
        let anneeAttributionRang = await AttributionRang.find({ anneeScolaire: inputs.anneeScolaire }).then(_.first)
        if (anneeAttributionRang) {
            return exits.notFound({ message: "Suppression impossible  car cette Année Scolaire est attribuée a un rang!" })
        }
        let anneeAttributionSysSco = await AttributionSysSco.find({ anneeScolaire: inputs.anneeScolaire }).then(_.first)
        if (anneeAttributionSysSco) {
            return exits.notFound({ message: "Suppression impossible  car cette Année Scolaire est attribuée a un Systeme Scolaire!" })
        }
        /*let anneeScolarite = await Scolarite.find({ anneeScolaire: inputs.anneeScolaire }).then(_.first)
        if (anneeScolarite) {
            return exits.notFound({ message: "Suppression impossible  car cette Année Scolaire est affectée a une Scolarité!" })
        }*/

        /*let anneeQuittance = await Quittance.find({ anneeScolaire: inputs.anneeScolaire }).then(_.first)
        if (anneeQuittance) {
            return exits.notFound({ message: "Suppression impossible  car cette Année Scolaire est affectée a une Quittance!" })
        }*/

        //console.log('ID ERROR', ecoles)

        let anneeDestroy = await AnneeScolaire.destroy({ id: annee.id }).fetch();

        // All done.
        return exits.success({ message: 'Done !' })

    }


};
